Package org.gitana.platform.client.application

# Interface EmailProvider

All Superinterfaces:
  `ApplicationDocument`, `Copyable`, `Document`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`, `PlatformDocument`, `Referenceable`, `Selfable`, `Serializable`, `TitleDescription`, `Transferable`, `TypedID`

All Known Implementing Classes:
  `EmailProviderImpl`

public interface EmailProvider extends ApplicationDocument, Selfable

Author:
  uzi

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FIELD_HOST`
`static final String`
`FIELD_PASSWORD`
`static final String`
`FIELD_PORT`
`static final String`
`FIELD_SMTP_ENABLED`
`static final String`
`FIELD_SMTP_IS_SECURE`
`static final String`
`FIELD_SMTP_REQUIRES_AUTH`
`static final String`
`FIELD_SMTP_STARTTLS_ENABLED`
`static final String`
`FIELD_USERNAME`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Method Summary

Modifier and Type
Method
Description
`String`
`getHost()`
`String`
`getPassword()`
`int`
`getPort()`
`boolean`
`getSmtpEnabled()`
`boolean`
`getSmtpIsSecure()`
`boolean`
`getSmtpRequiresAuth()`
`boolean`
`getSmtpStartTLSEnabled()`
`String`
`getUsername()`
`void`
`send(Email email)`
`void`
`setHost(String host)`
`void`
`setPassword(String password)`
`void`
`setPort(int port)`
`void`
`setSmtpEnabled(boolean smtpEnabled)`
`void`
`setSmtpIsSecure(boolean smtpIsSecure)`
`void`
`setSmtpRequiresAuth(boolean smtpRequiresAuth)`
`void`
`setSmtpStartTLSEnabled(boolean smtpStartTlsEnabled)`
`void`
`setUsername(String username)`

### Methods inherited from interface org.gitana.platform.client.application.ApplicationDocument

`getApplication, getApplicationId`

### Methods inherited from interface org.gitana.platform.client.support.Copyable

`copy, copy, copyAsync, copyAsync`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.platform.PlatformDocument

`getPlatform, getPlatformId`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.support.Selfable

`delete, reload, update`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId, getTypeId`

## Field Details

### FIELD_HOST

static final String FIELD_HOST

See Also:
  - Constant Field Values

### FIELD_PORT

static final String FIELD_PORT

See Also:
  - Constant Field Values

### FIELD_USERNAME

static final String FIELD_USERNAME

See Also:
  - Constant Field Values

### FIELD_PASSWORD

static final String FIELD_PASSWORD

See Also:
  - Constant Field Values

### FIELD_SMTP_ENABLED

static final String FIELD_SMTP_ENABLED

See Also:
  - Constant Field Values

### FIELD_SMTP_REQUIRES_AUTH

static final String FIELD_SMTP_REQUIRES_AUTH

See Also:
  - Constant Field Values

### FIELD_SMTP_IS_SECURE

static final String FIELD_SMTP_IS_SECURE

See Also:
  - Constant Field Values

### FIELD_SMTP_STARTTLS_ENABLED

static final String FIELD_SMTP_STARTTLS_ENABLED

See Also:
  - Constant Field Values

## Method Details

### setHost

void setHost(String host)

### getHost

String getHost()

### setPort

void setPort(int port)

### getPort

int getPort()

### setUsername

void setUsername(String username)

### getUsername

String getUsername()

### setPassword

void setPassword(String password)

### getPassword

String getPassword()

### setSmtpEnabled

void setSmtpEnabled(boolean smtpEnabled)

### getSmtpEnabled

boolean getSmtpEnabled()

### setSmtpRequiresAuth

void setSmtpRequiresAuth(boolean smtpRequiresAuth)

### getSmtpRequiresAuth

boolean getSmtpRequiresAuth()

### setSmtpIsSecure

void setSmtpIsSecure(boolean smtpIsSecure)

### getSmtpIsSecure

boolean getSmtpIsSecure()

### setSmtpStartTLSEnabled

void setSmtpStartTLSEnabled(boolean smtpStartTlsEnabled)

### getSmtpStartTLSEnabled

boolean getSmtpStartTLSEnabled()

### send

void send(Email email)